# text_analysis.py

def generate_tokens(text):
    """
    Génère une liste de mots à partir d'un texte.

    Cette fonction permet de découper un texte en mots individuels.
    Vous pouvez choisir votre propre méthode pour générer cette liste,
    par exemple en utilisant la méthode split() ou une expression régulière.

    Paramètre:
    text (str): Le texte à tokeniser.

    Retourne:
    list: Une liste de mots extraits du texte.
    """
    pass

def count_words(text):
    """
    Compte le nombre de mots dans une chaîne de caractères.

    Paramètre:
    text (str): Le texte à analyser.

    Retourne:
    int: Le nombre de mots dans le texte.
    """
    pass


def longest_word(text):
    """
    Trouve le mot le plus long dans une chaîne de caractères.

    Paramètre:
    text (str): Le texte à analyser.

    Retourne:
    str: Le mot le plus long du texte.
    """
    pass


def word_exists(text, word):
    """
    Vérifie si un mot existe dans le texte.

    Paramètres:
    text (str): Le texte à analyser.
    word (str): Le mot à rechercher.

    Retourne:
    bool: True si le mot est trouvé, sinon False.
    """
    pass


def average_word_length(text):
    """
    Calcule la longueur moyenne des mots dans un texte.

    Paramètre:
    text (str): Le texte à analyser.

    Retourne:
    float: La longueur moyenne des mots dans le texte.
    """
    pass
