# Exercice

Générer des tests au choix docstest ou pytest pour les fonctions du script `exercice1.py`
###  Cas limites à tester

#### generate_tokens
- Texte vide
- Texte avec des espaces multiples
- Texte avec ponctuation
- Texte avec des chiffres

#### count_words
- Texte vide
- Texte avec un seul mot
- Texte avec des espaces multiples entre les mots

#### longest_word
- Texte vide
- Texte avec un seul mot
- Texte avec plusieurs mots de même longueur maximale

#### word_exists
- Mot vide
- Mot qui n'existe pas dans le texte
- Mot qui apparaît plusieurs fois
- Recherche sensible à la casse

#### average_word_length
- Texte vide
- Texte avec un seul mot
- Texte avec des mots de longueurs variées

# Tests paramétriques avec pytest

## Objectif
Créer des tests paramétriques pour les fonctions du script exercice1.py en utilisant pytest.

## Instructions

1. Écrivez des tests paramétriques pour chaque fonction. Voici un exemple pour `count_words` :

   ```python
   @pytest.mark.parametrize("text, expected", [
       ("", 0),
       ("Un mot", 2),
       ("Ceci est une phrase.", 4),
       ("Beaucoup   d'espaces   ici", 3),
   ])
   def test_count_words(text, expected):
       assert count_words(text) == expected
   ```

